/* This is the list of devices we recognize, along with their flag data */
static struct us_unusual_dev us_unusual_dev_list[] = {
	{ 0x03f0, 0x0107, 0x0200,
	  "HP USB CD-Writer Plus", US_SC_8070, US_PR_CB, 0}, 
	{ 0x04e6, 0x0001, 0x0200,
	  "Matshita LS-120", US_SC_8020, US_PR_CB, US_FL_SINGLE_LUN},
	{ 0x04e6, 0x0002, 0x0100,
	  "Shuttle eUSCSI Bridge", US_SC_SCSI, US_PR_BULK, US_FL_ALT_LENGTH}, 
	{ 0x04e6, 0x0006, 0x0100,
	  "Shuttle eUSB MMC Adapter", US_SC_SCSI, US_PR_CB, US_FL_SINGLE_LUN}, 
	{ 0x057b, 0x0000, 0x0114,
	  "Y-E Data Flashbuster-U", US_SC_UFI, US_PR_CB, US_FL_SINGLE_LUN},
	{ 0x059b, 0x0030, 0x0100,
	  "Iomega Zip 250", US_SC_SCSI, US_PR_BULK, US_FL_SINGLE_LUN},
	{ 0x0693, 0x0002, 0x0100,
	  "Hagiwara FlashGate SmartMedia", US_SC_SCSI, US_PR_BULK,
	  US_FL_ALT_LENGTH},
	{ 0x0781, 0x0001, 0x0200,
	  "Sandisk ImageMate (SDDR-01)", US_SC_SCSI, US_PR_CB, 
	  US_FL_SINGLE_LUN | US_FL_START_STOP},
	{ 0x0781, 0x0002, 0x0009,
	  "Sandisk Imagemate (SDDR-31)", US_SC_SCSI, US_PR_BULK, 
	  US_FL_SINGLE_LUN | US_FL_IGNORE_SER},
	{ 0x07af, 0x0005, 0x0100,
	  "Microtech USB-SCSI-HD50", US_SC_SCSI, US_PR_BULK, US_FL_ALT_LENGTH}, 
	{ 0x0584, 0x0001, 0x0100, // Rev1.00
	  "RATOCSystems,Inc. USB Compact Flash Adapter", US_SC_SCSI,
	  US_PR_BULK, US_FL_SINGLE_LUN | US_FL_ALT_LENGTH | US_FL_START_STOP}, 
	{ 0x0584, 0x0001, 0x0101, // Rev1.01
	  "RATOCSystems,Inc. USB Compact Flash Adapter", US_SC_SCSI,
	  US_PR_BULK, US_FL_SINGLE_LUN | US_FL_ALT_LENGTH | US_FL_START_STOP}, 
	{ 0x0584, 0x0001, 0x0102, // Rev1.02
	  "RATOCSystems,Inc. USB Compact Flash Adapter", US_SC_SCSI,
	  US_PR_BULK, US_FL_SINGLE_LUN | US_FL_ALT_LENGTH | US_FL_START_STOP}, 
	{ 0x0000, 0x0000, 0x0,
	  "", 0, 0, 0}
};
